commit 8325cc7cfabd767a7d1c3390db6ce696c89c8562
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Dec 16 00:18:46 2022 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index d6558fe2775..0493e97dba2 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,14 @@
+2022-12-15  Sebastian Pop  <spop@amazon.com>
+
+	PR target/98776
+	* config/aarch64/aarch64-protos.h (aarch64_output_patchable_area):
+	Declared.
+	* config/aarch64/aarch64.c (aarch64_print_patchable_function_entry):
+	Emit an UNSPECV_PATCHABLE_AREA pseudo instruction.
+	(aarch64_output_patchable_area): New.
+	* config/aarch64/aarch64.md (UNSPECV_PATCHABLE_AREA): New.
+	(patchable_area): Define.
+
 2022-12-01  liuhongt  <hongtao.liu@intel.com>
 
 	PR target/107863
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 414c306c21c..0891de734e9 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20221215
+20221216
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 559b868795c..43d2839ebac 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2022-12-15  Sebastian Pop  <spop@amazon.com>
+
+	PR target/98776
+	* gcc.target/aarch64/pr98776.c: New.
+	* gcc.target/aarch64/pr92424-2.c: Adjust pattern.
+	* gcc.target/aarch64/pr92424-3.c: Adjust pattern.
+
 2022-12-11  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:

